package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 自定义属性字段企业关联表
 * @ClassName: StoreFieldRelDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/23 9:30 AM 
 */
public class StoreFieldRelDTO implements Serializable{
    private static final long serialVersionUID = 8351849317343562760L;
    /**
     *
     */
    private Integer fieldRelationId;

    /**
     * 商户id
     */
    private Integer enterpriseId;

    /**
     * 属性字段ID
     */
    private Integer storeFieldId;

    /**
     * 0:owner 1:other 授权者和被授权
     */
    private Integer ownType;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getFieldRelationId() {
        return fieldRelationId;
    }

    public void setFieldRelationId(Integer fieldRelationId) {
        this.fieldRelationId = fieldRelationId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public Integer getOwnType() {
        return ownType;
    }

    public void setOwnType(Integer ownType) {
        this.ownType = ownType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "StoreFieldRelDTO{" +
                "fieldRelationId=" + fieldRelationId +
                ", enterpriseId=" + enterpriseId +
                ", storeFieldId=" + storeFieldId +
                ", ownType=" + ownType +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
