package com.gic.store.service;

import com.gic.store.dto.StoreTagDTO;
import com.gic.store.entity.TabStoreTag;

import java.util.List;

/**
 * 
 * @ClassName: StoreTagService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:55
 */
public interface StoreTagService {

    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param dto
     * @return java.lang.Integer
     * @throws
     */
    Integer save(StoreTagDTO dto);

    /**
     * update
     * @Title: update
     * @Description:
     * @author zhiwj
     * @param dto
     * @return void
     * @throws
     */
    void update(StoreTagDTO dto);

    /**
     * getById
     * @Title: getById
     * @Description:
     * @author zhiwj
     * @param storeTagId
     * @return com.gic.store.entity.TabStoreTag
     * @throws
     */
    TabStoreTag getById(Integer storeTagId);

    /**
     * listByEnterprise
     * @Title: listByEnterprise
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<com.gic.store.entity.TabStoreTag>
     * @throws
     */
    List<TabStoreTag> listByEnterprise(Integer enterpriseId);
}
