package com.gic.store.constant;

/**
 * @author zhiwj
 * @date 2019/7/4
 */
public interface Constants {
    String STORE_BATCH_IMPORT_MQ_KEY = "storeBulkImport";
    String CLERK_BATCH_IMPORT_MQ_KEY = "clerkBulkImport";
    Integer STORE_BATCH_IMPORT_TASK_TYPE = 6;
    Integer CLERK_BATCH_IMPORT_TASK_TYPE = 8;

    String DATE_FORMAT = "yyyy-MM-dd HH:mm:ss";
    /**
     * enterprise:store:${enterpriseId}:#{storeId}
      */
    String STORE_KEY = "enterprise:store:";
    String DEFAULT_PHOTO = "https://pic01-10001430.image.myqcloud.com/a5a82c47-5892-4c1c-afaf-0f8d4d41e032";

    String NATIONCODE = "+86";

    String NATION_CODE_DICT = "NATION_CODE";

    Integer CLERK_LEADER_POSITION_ID = 1;

    Integer CLERK_POSITION_ID = 2;

    String NULL = "null";

    String CLERK_CODE_REGEX = "^[\\w\\d]{1,30}$";

    String PLUS = "+";
    Character PLUS_CHAR = '+';

    String ALL = "all";

    /**
     * 导购角色排序最大的值
     */
    Integer CLERK_POSITION_TOP = 3;

    /**
     * 门店批量更新
     */
    Integer UPDATE_STATUS = 1;
    Integer UPDATE_PHONE = 2;
    Integer UPDATE_BUSINESS_TIME = 3;
    Integer UPDATE_PHOTO = 4;
    Integer UPDATE_BRAND = 5;
    Integer UPLOAD_PHOTO = 6;
    Integer UPDATE_GROUP = 7;

    String EMPTY_JSON = "{}";

    Integer STORE_AUTH = 1;
    Integer STORE_NONE_AUTH = 2;

    String XLSX = "xlsx";
    String XLS = "xls";
    Integer CLERK_IMPORT_EXCEL_SIZE = 10;
    Integer CLERK_IMPORT_PHONE_LENGTH= 11;
    Integer CLERK_IMPORT_NAME_LENGTH = 20;
    Integer CLERK_IMPORT_CODE_LENGTH = 20;
    Integer CLERK_IMPORT_REGION_LENGTH = 20;
    Integer CLERK_IMPORT_STORE_NAME_LENGTH = 20;
    Integer CLERK_IMPORT_STORE_CODE_LENGTH = 20;
    Integer CLERK_IMPORT_POSITION_NAME_LENGTH = 20;
    Integer CLERK_IMPORT_NATION_CODE_LENGTH = 20;
    Integer STORE_IMPORT_NAME_LENGTH = 20;
    Integer STORE_IMPORT_CODE_LENGTH = 20;
    Integer STORE_IMPORT_LONGITUDE_LENGTH = 180;
    Integer STORE_IMPORT_LATITUDE_LENGTH = 90;

    String STORE_BRAND_SPLIT = "、";

    Integer STORE_LOG_MAX = 3;

    String HEADQUARTERS = "总部";
    String NO_ATTRIBUTION = "无归属";

    Integer STORE_EXPORT_SIZE = 10;
    Integer STORE_EXPORT_MAX_SIZE = 20;

    String STORE_TYPE = "storeType";

    Integer STORE_ATTR_SIZE = 5;

    Integer STORE_TAG_IMPORT = 2;

}
