package com.gic.store.constant;

/**
 * 
 * @ClassName: StoreStatusEnum
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 16:07
 */
public enum StoreStatusEnum {
    /**
     * 启用
     */
    ONLINE(1, "启用"),
    /**
     * 不启用
     */
    INONLINE(2, "不启用");
    private int code;
    private String message;

    StoreStatusEnum(int code, String message){
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public static String parseCode(int code){
        for(StoreStatusEnum transactType : values()){
            if (transactType.getCode() == code) {
                return transactType.message;
            }
        }
        return null;
    }
}
