package com.gic.store.dto;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/27 16:10
 */
public class ClerkSearchDTO implements Serializable {
    private static final long serialVersionUID = 7888454039825986790L;
    private String search;
    private Integer storeGroupId;
    private String searchJson;
    private Integer enterpriseId;
    private String storeIds;
    private String storeInfoIds;
    private Integer currentPage=1;
    private Integer pageSize=20;
    private Integer clerkType;
    private String storeSearch;

    private String fileName;
    private Integer excelExtension;
    private List<String> fieldCodeList;
    private Integer dataType;
    private Integer status;


    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getSearchJson() {
        return searchJson;
    }

    public void setSearchJson(String searchJson) {
        this.searchJson = searchJson;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public String getStoreIds() {
        return storeIds;
    }

    public void setStoreIds(String storeIds) {
        this.storeIds = storeIds;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public List<String> getFieldCodeList() {
        return fieldCodeList;
    }

    public void setFieldCodeList(List<String> fieldCodeList) {
        this.fieldCodeList = fieldCodeList;
    }

    public Integer getExcelExtension() {
        return excelExtension;
    }

    public void setExcelExtension(Integer excelExtension) {
        this.excelExtension = excelExtension;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }

    public String getStoreInfoIds() {
        return storeInfoIds;
    }

    public void setStoreInfoIds(String storeInfoIds) {
        this.storeInfoIds = storeInfoIds;
    }

    public String getStoreSearch() {
        return storeSearch;
    }

    public void setStoreSearch(String storeSearch) {
        this.storeSearch = storeSearch;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return "ClerkSearchDTO{" +
                "search='" + search + '\'' +
                ", storeGroupId=" + storeGroupId +
                ", searchJson='" + searchJson + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", storeIds='" + storeIds + '\'' +
                ", storeInfoIds='" + storeInfoIds + '\'' +
                ", currentPage=" + currentPage +
                ", pageSize=" + pageSize +
                ", clerkType=" + clerkType +
                ", storeSearch='" + storeSearch + '\'' +
                ", fileName='" + fileName + '\'' +
                ", excelExtension=" + excelExtension +
                ", fieldCodeList=" + fieldCodeList +
                ", dataType=" + dataType +
                ", status=" + status +
                '}';
    }
}
