package com.gic.store.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 
 * @ClassName: StoreSearchDbDTO
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 16:07
 */
public class StoreSearchDbDTO implements Serializable {
    private String search;
    private String storeCode;
    private String storeName;
    private Integer createType;
    private Integer storeGroupId;
    private Integer status;
    private Integer erpStatus;
    private Integer regionId;
    private Integer storeInfoId;
    private Integer storeId;
    private Integer overflowStatus;
    private Integer enterpriseId;
    private Integer storeBrandId;
    private String longitude = "0";
    private String latitude = "0";
    private String cityId;
    private List<Integer> storeGroupIdList;
    private List<Integer> regionIdList;
    private List<Integer> storeIdList;
    private List<Integer> storeInfoIdList;
    private List<Integer> statusList;
    private List<Integer> erpStatusList;
    private Integer currentPage=1;
    private Integer pageSize=20;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getOverflowStatus() {
        return overflowStatus;
    }

    public void setOverflowStatus(Integer overflowStatus) {
        this.overflowStatus = overflowStatus;
    }

    public List<Integer> getStoreGroupIdList() {
        return storeGroupIdList;
    }

    public void setStoreGroupIdList(List<Integer> storeGroupIdList) {
        this.storeGroupIdList = storeGroupIdList;
    }

    public List<Integer> getRegionIdList() {
        return regionIdList;
    }

    public void setRegionIdList(List<Integer> regionIdList) {
        this.regionIdList = regionIdList;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public List<Integer> getStoreIdList() {
        return storeIdList;
    }

    public void setStoreIdList(List<Integer> storeIdList) {
        this.storeIdList = storeIdList;
    }

    public List<Integer> getStoreInfoIdList() {
        return storeInfoIdList;
    }

    public void setStoreInfoIdList(List<Integer> storeInfoIdList) {
        this.storeInfoIdList = storeInfoIdList;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getErpStatus() {
        return erpStatus;
    }

    public void setErpStatus(Integer erpStatus) {
        this.erpStatus = erpStatus;
    }

    public List<Integer> getStatusList() {
        return statusList;
    }

    public void setStatusList(List<Integer> statusList) {
        this.statusList = statusList;
    }

    public List<Integer> getErpStatusList() {
        return erpStatusList;
    }

    public void setErpStatusList(List<Integer> erpStatusList) {
        this.erpStatusList = erpStatusList;
    }

    public Integer getStoreBrandId() {
        return storeBrandId;
    }

    public void setStoreBrandId(Integer storeBrandId) {
        this.storeBrandId = storeBrandId;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    @Override
    public String toString() {
        return "StoreSearchDbDTO{" +
                "search='" + search + '\'' +
                ", storeCode='" + storeCode + '\'' +
                ", storeName='" + storeName + '\'' +
                ", createType=" + createType +
                ", storeGroupId=" + storeGroupId +
                ", status=" + status +
                ", erpStatus=" + erpStatus +
                ", regionId=" + regionId +
                ", storeInfoId=" + storeInfoId +
                ", storeId=" + storeId +
                ", overflowStatus=" + overflowStatus +
                ", enterpriseId=" + enterpriseId +
                ", storeBrandId=" + storeBrandId +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                ", cityId='" + cityId + '\'' +
                ", storeGroupIdList=" + storeGroupIdList +
                ", regionIdList=" + regionIdList +
                ", storeIdList=" + storeIdList +
                ", storeInfoIdList=" + storeInfoIdList +
                ", statusList=" + statusList +
                ", erpStatusList=" + erpStatusList +
                ", currentPage=" + currentPage +
                ", pageSize=" + pageSize +
                '}';
    }
}
