package com.gic.store.dao.mapper;

import com.gic.store.entity.TabEnterprise;

/**
 * 
 * @ClassName: TabEnterpriseMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:35
 */
public interface TabEnterpriseMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEnterprise record);

    /**
     * 根据主键查询
     *
     * @param enterpriseId 主键
     * @return 实体对象
     */
    TabEnterprise selectByPrimaryKey(Integer enterpriseId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEnterprise record);
}