package com.gic.store.entity;

import java.util.Date;

/**
 * tab_store
 */
/**
 * 
 * @ClassName: TabStoreInfo
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:37
 */
public class TabStoreInfo {
    /**
     * 
     */
    private Integer storeInfoId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 域id
     */
    private Integer regionId;

    /**
     * 门店电话
     */
    private String conactsPhone;

    /**
     * 门店详细地址
     */
    private String address;

    /**
     * 关联门店品牌iid，多个用逗号分隔
     */
    private String brandIds;

    /**
     * 省份id
     */
    private String provinceId;

    /**
     * 城市id
     */
    private String cityId;

    /**
     * 地区id
     */
    private String areaId;

    /**
     * 省市区全名
     */
    private String provinces;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 溢出状态；默认为0，1标识溢出
     */
    private Integer overflowStatus;

    /**
     * 完善标识（0：未完善，1：已完善）
     */
    private Integer completeStatus;

    /**
     * 门店启用状态；1启用  2不启用  
     */
    private Integer status;

    /**
     * erp门店状态
     */
    private Integer erpStatus;

    /**
     * 门店类型
     */
    private Integer storeType;

    /**
     * 门店创建方式，1：后台新增   2：批量导入  3：订单生成  4：erp同步
     */
    private Integer createType;

    /**
     * 门店存储在es的id
     */
    private Long indexId;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    private Integer enterpriseId;

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getConactsPhone() {
        return conactsPhone;
    }

    public void setConactsPhone(String conactsPhone) {
        this.conactsPhone = conactsPhone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBrandIds() {
        return brandIds;
    }

    public void setBrandIds(String brandIds) {
        this.brandIds = brandIds;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getProvinces() {
        return provinces;
    }

    public void setProvinces(String provinces) {
        this.provinces = provinces;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public Integer getOverflowStatus() {
        return overflowStatus;
    }

    public void setOverflowStatus(Integer overflowStatus) {
        this.overflowStatus = overflowStatus;
    }

    public Integer getCompleteStatus() {
        return completeStatus;
    }

    public void setCompleteStatus(Integer completeStatus) {
        this.completeStatus = completeStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getErpStatus() {
        return erpStatus;
    }

    public void setErpStatus(Integer erpStatus) {
        this.erpStatus = erpStatus;
    }

    public Integer getStoreType() {
        return storeType;
    }

    public void setStoreType(Integer storeType) {
        this.storeType = storeType;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getIndexId() {
        return indexId;
    }

    public void setIndexId(Long indexId) {
        this.indexId = indexId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}