package com.gic.store.entity;

import java.util.Date;

/**
 * tab_store_strategy
 */
/**
 * 
 * @ClassName: TabStoreStrategy
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:38
 */
public class TabStoreStrategy {
    /**
     * 
     */
    private Integer strategyId;

    /**
     * 策略名称
     */
    private String strategyName;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 门店域id
     */
    private Integer storeRegionId;

    /**
     * 门店分组条件，json数组
     */
    private String conditions;

    /**
     * 策略命中值；如果type为门店分组策略，对应分组id；否则为门店启用和不启用值
     */
    private String targetValue;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 状态值  1有效  0无效
     */
    private Integer status;

    /**
     * 策略类型，1门店状态策略，   2门店分组策略
     */
    private Integer strategyType;

    /**
     * 排序字段
     */
    private Double sort;

    /**
     * 策略类型，1门店状态策略时候，可以多选，门店创建方式，1：后台新增   2：批量导入  3：订单生成  4：erp同步,可以多选 _1_2_格式
     */
    private String storeCreateType;

    public Integer getStrategyId() {
        return strategyId;
    }

    public void setStrategyId(Integer strategyId) {
        this.strategyId = strategyId;
    }

    public String getStrategyName() {
        return strategyName;
    }

    public void setStrategyName(String strategyName) {
        this.strategyName = strategyName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreRegionId() {
        return storeRegionId;
    }

    public void setStoreRegionId(Integer storeRegionId) {
        this.storeRegionId = storeRegionId;
    }

    public String getConditions() {
        return conditions;
    }

    public void setConditions(String conditions) {
        this.conditions = conditions;
    }

    public String getTargetValue() {
        return targetValue;
    }

    public void setTargetValue(String targetValue) {
        this.targetValue = targetValue;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStrategyType() {
        return strategyType;
    }

    public void setStrategyType(Integer strategyType) {
        this.strategyType = strategyType;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public String getStoreCreateType() {
        return storeCreateType;
    }

    public void setStoreCreateType(String storeCreateType) {
        this.storeCreateType = storeCreateType;
    }
}