package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.store.dao.mapper.TabStoreTransferMapper;
import com.gic.store.dto.StoreTransferDTO;
import com.gic.store.entity.TabStoreTransfer;
import com.gic.store.service.StoreTransferService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-05-27 11:22
 */
@Service
public class StoreTransferServiceImpl implements StoreTransferService {

    @Autowired
    private TabStoreTransferMapper tabStoreTransferMapper;

    @Override
    public void save(StoreTransferDTO storeTransferDTO) {
        TabStoreTransfer transfer = EntityUtil.changeEntityByJSON(TabStoreTransfer.class, storeTransferDTO);
        transfer.setCreateTime(new Date());
        transfer.setUpdateTime(new Date());
        transfer.setStatus(1);
        tabStoreTransferMapper.insertSelective(transfer);
    }
}
